For the complete documentation index, see llms.txt. This page is also available as Markdown.

Output Module

Manage VARIO Cloud output modules via API, including reports, localizations, report groups, templates, parameters, activation and printing.

Ausgabe Module

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

activebooleanRead-onlyOptional

ist dieser Report aktiv?

Default: true
outputTemplateSourcestring · enumRead-onlyOptional

Report Quellen

Possible values:
systemPresettingbooleanRead-onlyOptional

handelt es sich um den systemreport. Bei diesem darf die selektion nicht verändert werden

labelstring · max: 255Required

Label

descriptionstringOptional

description

aliasstringOptional

Alias Name für die Subreporte

copiedbooleanRead-onlyOptional

Gibt an, ob es sich um eine Kopie eines anderen Reports handelt

exportFilenamestringOptional

Vorgabe für den Dateinamen

reportUrlstringRead-onlyOptional

die vario-report-url

get/cmn/output/reports/{id}
GET /cmn/output/reports/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "active": true,
  "groupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "reportTypeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true,
    "templateEngine": "VQL_REPORTS"
  },
  "outputTemplateSource": "PARAMETER_MODE",
  "textTemplates": [],
  "languages": [],
  "systemPresetting": true,
  "moduleRule": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "label": "text",
  "description": "text",
  "alias": "text",
  "copied": true,
  "exportFilename": "text",
  "reportUrl": "text",
  "reportParameter": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "templateFactoryConfiguration": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  }
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

activebooleanRead-onlyOptional

ist dieser Report aktiv?

Default: true
outputTemplateSourcestring · enumRead-onlyOptional

Report Quellen

Possible values:
systemPresettingbooleanRead-onlyOptional

handelt es sich um den systemreport. Bei diesem darf die selektion nicht verändert werden

labelstring · max: 255Required

Label

descriptionstringOptional

description

aliasstringOptional

Alias Name für die Subreporte

copiedbooleanRead-onlyOptional

Gibt an, ob es sich um eine Kopie eines anderen Reports handelt

exportFilenamestringOptional

Vorgabe für den Dateinamen

reportUrlstringRead-onlyOptional

die vario-report-url

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

activebooleanRead-onlyOptional

ist dieser Report aktiv?

Default: true
outputTemplateSourcestring · enumRead-onlyOptional

Report Quellen

Possible values:
systemPresettingbooleanRead-onlyOptional

handelt es sich um den systemreport. Bei diesem darf die selektion nicht verändert werden

labelstring · max: 255Required

Label

descriptionstringOptional

description

aliasstringOptional

Alias Name für die Subreporte

copiedbooleanRead-onlyOptional

Gibt an, ob es sich um eine Kopie eines anderen Reports handelt

exportFilenamestringOptional

Vorgabe für den Dateinamen

reportUrlstringRead-onlyOptional

die vario-report-url

put/cmn/output/reports/{id}
PUT /cmn/output/reports/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1358

{
  "version": "text",
  "info": {},
  "id": "text",
  "groupRef": {
    "id": "text"
  },
  "reportTypeRef": {
    "id": "text"
  },
  "textTemplates": [],
  "languages": [],
  "moduleRule": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "label": "text",
  "description": "text",
  "alias": "text",
  "exportFilename": "text",
  "reportParameter": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "templateFactoryConfiguration": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  }
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "active": true,
  "groupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "reportTypeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true,
    "templateEngine": "VQL_REPORTS"
  },
  "outputTemplateSource": "PARAMETER_MODE",
  "textTemplates": [],
  "languages": [],
  "systemPresetting": true,
  "moduleRule": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "label": "text",
  "description": "text",
  "alias": "text",
  "copied": true,
  "exportFilename": "text",
  "reportUrl": "text",
  "reportParameter": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "templateFactoryConfiguration": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  }
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/cmn/output/reports/{id}
DELETE /cmn/output/reports/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

deaktiviert eine bestehende Resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

activebooleanRead-onlyOptional

ist dieser Report aktiv?

Default: true
outputTemplateSourcestring · enumRead-onlyOptional

Report Quellen

Possible values:
systemPresettingbooleanRead-onlyOptional

handelt es sich um den systemreport. Bei diesem darf die selektion nicht verändert werden

labelstring · max: 255Required

Label

descriptionstringOptional

description

aliasstringOptional

Alias Name für die Subreporte

copiedbooleanRead-onlyOptional

Gibt an, ob es sich um eine Kopie eines anderen Reports handelt

exportFilenamestringOptional

Vorgabe für den Dateinamen

reportUrlstringRead-onlyOptional

die vario-report-url

put/cmn/output/reports/{id}/deactivate
PUT /cmn/output/reports/{id}/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "active": true,
  "groupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "reportTypeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true,
    "templateEngine": "VQL_REPORTS"
  },
  "outputTemplateSource": "PARAMETER_MODE",
  "textTemplates": [],
  "languages": [],
  "systemPresetting": true,
  "moduleRule": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "label": "text",
  "description": "text",
  "alias": "text",
  "copied": true,
  "exportFilename": "text",
  "reportUrl": "text",
  "reportParameter": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "templateFactoryConfiguration": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  }
}

aktiviert eine bestehende Resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

activebooleanRead-onlyOptional

ist dieser Report aktiv?

Default: true
outputTemplateSourcestring · enumRead-onlyOptional

Report Quellen

Possible values:
systemPresettingbooleanRead-onlyOptional

handelt es sich um den systemreport. Bei diesem darf die selektion nicht verändert werden

labelstring · max: 255Required

Label

descriptionstringOptional

description

aliasstringOptional

Alias Name für die Subreporte

copiedbooleanRead-onlyOptional

Gibt an, ob es sich um eine Kopie eines anderen Reports handelt

exportFilenamestringOptional

Vorgabe für den Dateinamen

reportUrlstringRead-onlyOptional

die vario-report-url

put/cmn/output/reports/{id}/activate
PUT /cmn/output/reports/{id}/activate HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "active": true,
  "groupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "reportTypeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true,
    "templateEngine": "VQL_REPORTS"
  },
  "outputTemplateSource": "PARAMETER_MODE",
  "textTemplates": [],
  "languages": [],
  "systemPresetting": true,
  "moduleRule": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "label": "text",
  "description": "text",
  "alias": "text",
  "copied": true,
  "exportFilename": "text",
  "reportUrl": "text",
  "reportParameter": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "templateFactoryConfiguration": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  }
}

Update Localisation

put
Path parameters
moduleKeystringRequired
idinteger · int64Required
Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

keystringOptional

Der Key zum finden der Übersetzung. dieser Key darf nur bei Einträgen verändert werden, die keinen preset Text haben

presetTextstringRead-onlyOptional

original text (Sprache: vario)

presetParameterstring[]Read-onlyOptional

mögliche parameter bei dem ausdruck

textstringOptional

lokalisierte variante

Responses
200

OK

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

keystringOptional

Der Key zum finden der Übersetzung. dieser Key darf nur bei Einträgen verändert werden, die keinen preset Text haben

presetTextstringRead-onlyOptional

original text (Sprache: vario)

presetParameterstring[]Read-onlyOptional

mögliche parameter bei dem ausdruck

textstringOptional

lokalisierte variante

put/cmn/output/modules/{moduleKey}/texts/{id}
PUT /cmn/output/modules/{moduleKey}/texts/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 95

{
  "version": "text",
  "info": {},
  "id": "text",
  "languageRef": {
    "id": "text"
  },
  "key": "text",
  "text": "text"
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "languageRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "key": "text",
  "presetText": "text",
  "presetParameter": [
    "text"
  ],
  "text": "text"
}

Deletes translation by id

delete
Path parameters
moduleKeystringRequired
idinteger · int64Required
Responses
200

OK

No content

delete/cmn/output/modules/{moduleKey}/texts/{id}
DELETE /cmn/output/modules/{moduleKey}/texts/{id} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

No content

get

Returns the script of an output module

Path parameters
moduleKeystringRequired
Responses
200

OK

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

moduleKeystringRead-onlyOptional

Key of the output module

labelstring · min: 1Required

Label of this script

get/cmn/output/modules/{moduleKey}/script
GET /cmn/output/modules/{moduleKey}/script HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "moduleKey": "text",
  "label": "text",
  "script": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "moduleName": "text",
    "scriptSource": "text",
    "scriptModuleRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    }
  }
}
put

Creates or changes the script of an output module

Path parameters
moduleKeystringRequired
Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

moduleKeystringRead-onlyOptional

Key of the output module

labelstring · min: 1Required

Label of this script

Responses
200

OK

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

moduleKeystringRead-onlyOptional

Key of the output module

labelstring · min: 1Required

Label of this script

put/cmn/output/modules/{moduleKey}/script
PUT /cmn/output/modules/{moduleKey}/script HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 179

{
  "version": "text",
  "info": {},
  "id": "text",
  "label": "text",
  "script": {
    "version": "text",
    "info": {},
    "id": "text",
    "moduleName": "text",
    "scriptSource": "text",
    "scriptModuleRef": {
      "id": "text"
    }
  }
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "moduleKey": "text",
  "label": "text",
  "script": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "moduleName": "text",
    "scriptSource": "text",
    "scriptModuleRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    }
  }
}
delete

Removes the script of an output module

Path parameters
moduleKeystringRequired
Responses
200

OK

No content

delete/cmn/output/modules/{moduleKey}/script
DELETE /cmn/output/modules/{moduleKey}/script HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

No content

get

liest eine Gruppe

Path parameters
moduleKeystringRequired
idinteger · int64Required
Responses
200

OK

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

moduleKeystringRead-onlyOptional

der ModuleKey des Reports

systemPresettingbooleanRead-onlyOptional

handelt es sich um eine System-Gruppe? diese kann nicht gelöscht werden

defaultGroupbooleanRead-onlyOptional

ist das die default Gruppe für dieses OutputModul

freePrintingbooleanOptional

Sind die reporte aus der Gruppe frei zugänglich

Default: false
labelstring · min: 1Required

custom label

identifierstring · min: 1Required

Identifier für die Gruppe

exportFilenamestringOptional

Vorgabe für den Dateinamen, falls der Report keinen selbst bestimmt

outputFilterScriptstringOptional

output-filter-script (if supported)

get/cmn/output/modules/{moduleKey}/report-groups/{id}
GET /cmn/output/modules/{moduleKey}/report-groups/{id} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "moduleKey": "text",
  "reportRefs": [],
  "systemPresetting": true,
  "defaultGroup": true,
  "freePrinting": false,
  "label": "text",
  "identifier": "text",
  "exportFilename": "text",
  "outputFilterScript": "text"
}
put

aktualisiert eine Gruppe

Path parameters
moduleKeystringRequired
idinteger · int64Required
Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

moduleKeystringRead-onlyOptional

der ModuleKey des Reports

systemPresettingbooleanRead-onlyOptional

handelt es sich um eine System-Gruppe? diese kann nicht gelöscht werden

defaultGroupbooleanRead-onlyOptional

ist das die default Gruppe für dieses OutputModul

freePrintingbooleanOptional

Sind die reporte aus der Gruppe frei zugänglich

Default: false
labelstring · min: 1Required

custom label

identifierstring · min: 1Required

Identifier für die Gruppe

exportFilenamestringOptional

Vorgabe für den Dateinamen, falls der Report keinen selbst bestimmt

outputFilterScriptstringOptional

output-filter-script (if supported)

Responses
200

OK

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

moduleKeystringRead-onlyOptional

der ModuleKey des Reports

systemPresettingbooleanRead-onlyOptional

handelt es sich um eine System-Gruppe? diese kann nicht gelöscht werden

defaultGroupbooleanRead-onlyOptional

ist das die default Gruppe für dieses OutputModul

freePrintingbooleanOptional

Sind die reporte aus der Gruppe frei zugänglich

Default: false
labelstring · min: 1Required

custom label

identifierstring · min: 1Required

Identifier für die Gruppe

exportFilenamestringOptional

Vorgabe für den Dateinamen, falls der Report keinen selbst bestimmt

outputFilterScriptstringOptional

output-filter-script (if supported)

put/cmn/output/modules/{moduleKey}/report-groups/{id}
PUT /cmn/output/modules/{moduleKey}/report-groups/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 148

{
  "version": "text",
  "info": {},
  "id": "text",
  "freePrinting": false,
  "label": "text",
  "identifier": "text",
  "exportFilename": "text",
  "outputFilterScript": "text"
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "moduleKey": "text",
  "reportRefs": [],
  "systemPresetting": true,
  "defaultGroup": true,
  "freePrinting": false,
  "label": "text",
  "identifier": "text",
  "exportFilename": "text",
  "outputFilterScript": "text"
}
delete

löscht diese Gruppe

Path parameters
moduleKeystringRequired
idinteger · int64Required
Responses
200

OK

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

moduleKeystringRead-onlyOptional

der ModuleKey des Reports

systemPresettingbooleanRead-onlyOptional

handelt es sich um eine System-Gruppe? diese kann nicht gelöscht werden

defaultGroupbooleanRead-onlyOptional

ist das die default Gruppe für dieses OutputModul

freePrintingbooleanOptional

Sind die reporte aus der Gruppe frei zugänglich

Default: false
labelstring · min: 1Required

custom label

identifierstring · min: 1Required

Identifier für die Gruppe

exportFilenamestringOptional

Vorgabe für den Dateinamen, falls der Report keinen selbst bestimmt

outputFilterScriptstringOptional

output-filter-script (if supported)

delete/cmn/output/modules/{moduleKey}/report-groups/{id}
DELETE /cmn/output/modules/{moduleKey}/report-groups/{id} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "moduleKey": "text",
  "reportRefs": [],
  "systemPresetting": true,
  "defaultGroup": true,
  "freePrinting": false,
  "label": "text",
  "identifier": "text",
  "exportFilename": "text",
  "outputFilterScript": "text"
}
put

diese Gruppe wird für das Modul die Standardgruppe (falls kein Identifier angegeben wird)

Path parameters
moduleKeystringRequired
idinteger · int64Required
Responses
200

OK

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

moduleKeystringRead-onlyOptional

der ModuleKey des Reports

systemPresettingbooleanRead-onlyOptional

handelt es sich um eine System-Gruppe? diese kann nicht gelöscht werden

defaultGroupbooleanRead-onlyOptional

ist das die default Gruppe für dieses OutputModul

freePrintingbooleanOptional

Sind die reporte aus der Gruppe frei zugänglich

Default: false
labelstring · min: 1Required

custom label

identifierstring · min: 1Required

Identifier für die Gruppe

exportFilenamestringOptional

Vorgabe für den Dateinamen, falls der Report keinen selbst bestimmt

outputFilterScriptstringOptional

output-filter-script (if supported)

put/cmn/output/modules/{moduleKey}/report-groups/{id}/default-group
PUT /cmn/output/modules/{moduleKey}/report-groups/{id}/default-group HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "moduleKey": "text",
  "reportRefs": [],
  "systemPresetting": true,
  "defaultGroup": true,
  "freePrinting": false,
  "label": "text",
  "identifier": "text",
  "exportFilename": "text",
  "outputFilterScript": "text"
}

Create new Resource

post
Body
copyFromIdinteger · int64Optional

kopie: die Id des Reports, der kopiert werden soll. Wenn dieser Wert gesetzt ist, wird outputModuleKey ignoriert

toGroupIdinteger · int64Optional

kopie/neuanlage: die Gruppe, in die der Report als neuer Report angelegt wird

outputModuleKeystringOptional

neuanlage: der modul key

reportTypeIdinteger · int64Optional

neuanlage: welcher Reporttyp liegt vor

labelstringOptional

Bezeichnung des neuen Reports

aliasstringOptional

Alias des neuen Reports

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

activebooleanRead-onlyOptional

ist dieser Report aktiv?

Default: true
outputTemplateSourcestring · enumRead-onlyOptional

Report Quellen

Possible values:
systemPresettingbooleanRead-onlyOptional

handelt es sich um den systemreport. Bei diesem darf die selektion nicht verändert werden

labelstring · max: 255Required

Label

descriptionstringOptional

description

aliasstringOptional

Alias Name für die Subreporte

copiedbooleanRead-onlyOptional

Gibt an, ob es sich um eine Kopie eines anderen Reports handelt

exportFilenamestringOptional

Vorgabe für den Dateinamen

reportUrlstringRead-onlyOptional

die vario-report-url

post/cmn/output/reports
POST /cmn/output/reports HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 102

{
  "copyFromId": 1,
  "toGroupId": 1,
  "outputModuleKey": "text",
  "reportTypeId": 1,
  "label": "text",
  "alias": "text"
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "active": true,
  "groupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "reportTypeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true,
    "templateEngine": "VQL_REPORTS"
  },
  "outputTemplateSource": "PARAMETER_MODE",
  "textTemplates": [],
  "languages": [],
  "systemPresetting": true,
  "moduleRule": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "label": "text",
  "description": "text",
  "alias": "text",
  "copied": true,
  "exportFilename": "text",
  "reportUrl": "text",
  "reportParameter": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "templateFactoryConfiguration": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  }
}
post
Path parameters
idinteger · int64Required

report identifier

Responses
200

OK

No content

post/cmn/output/reports/{id}/reset
POST /cmn/output/reports/{id}/reset HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

No content

Find all by module key and isoalpha2

get
Path parameters
moduleKeystringRequired
Query parameters
languageIdinteger · int64Optional
Responses
200

OK

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

keystringOptional

Der Key zum finden der Übersetzung. dieser Key darf nur bei Einträgen verändert werden, die keinen preset Text haben

presetTextstringRead-onlyOptional

original text (Sprache: vario)

presetParameterstring[]Read-onlyOptional

mögliche parameter bei dem ausdruck

textstringOptional

lokalisierte variante

get/cmn/output/modules/{moduleKey}/texts
GET /cmn/output/modules/{moduleKey}/texts HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]

Create translation

post
Path parameters
moduleKeystringRequired
Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

keystringOptional

Der Key zum finden der Übersetzung. dieser Key darf nur bei Einträgen verändert werden, die keinen preset Text haben

presetTextstringRead-onlyOptional

original text (Sprache: vario)

presetParameterstring[]Read-onlyOptional

mögliche parameter bei dem ausdruck

textstringOptional

lokalisierte variante

Responses
200

OK

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

keystringOptional

Der Key zum finden der Übersetzung. dieser Key darf nur bei Einträgen verändert werden, die keinen preset Text haben

presetTextstringRead-onlyOptional

original text (Sprache: vario)

presetParameterstring[]Read-onlyOptional

mögliche parameter bei dem ausdruck

textstringOptional

lokalisierte variante

post/cmn/output/modules/{moduleKey}/texts
POST /cmn/output/modules/{moduleKey}/texts HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 95

{
  "version": "text",
  "info": {},
  "id": "text",
  "languageRef": {
    "id": "text"
  },
  "key": "text",
  "text": "text"
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "languageRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "key": "text",
  "presetText": "text",
  "presetParameter": [
    "text"
  ],
  "text": "text"
}
post

erstellt eine Gruppe

Path parameters
moduleKeystringRequired
Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

moduleKeystringRead-onlyOptional

der ModuleKey des Reports

systemPresettingbooleanRead-onlyOptional

handelt es sich um eine System-Gruppe? diese kann nicht gelöscht werden

defaultGroupbooleanRead-onlyOptional

ist das die default Gruppe für dieses OutputModul

freePrintingbooleanOptional

Sind die reporte aus der Gruppe frei zugänglich

Default: false
labelstring · min: 1Required

custom label

identifierstring · min: 1Required

Identifier für die Gruppe

exportFilenamestringOptional

Vorgabe für den Dateinamen, falls der Report keinen selbst bestimmt

outputFilterScriptstringOptional

output-filter-script (if supported)

Responses
200

OK

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

moduleKeystringRead-onlyOptional

der ModuleKey des Reports

systemPresettingbooleanRead-onlyOptional

handelt es sich um eine System-Gruppe? diese kann nicht gelöscht werden

defaultGroupbooleanRead-onlyOptional

ist das die default Gruppe für dieses OutputModul

freePrintingbooleanOptional

Sind die reporte aus der Gruppe frei zugänglich

Default: false
labelstring · min: 1Required

custom label

identifierstring · min: 1Required

Identifier für die Gruppe

exportFilenamestringOptional

Vorgabe für den Dateinamen, falls der Report keinen selbst bestimmt

outputFilterScriptstringOptional

output-filter-script (if supported)

post/cmn/output/modules/{moduleKey}/report-groups
POST /cmn/output/modules/{moduleKey}/report-groups HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 148

{
  "version": "text",
  "info": {},
  "id": "text",
  "freePrinting": false,
  "label": "text",
  "identifier": "text",
  "exportFilename": "text",
  "outputFilterScript": "text"
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "moduleKey": "text",
  "reportRefs": [],
  "systemPresetting": true,
  "defaultGroup": true,
  "freePrinting": false,
  "label": "text",
  "identifier": "text",
  "exportFilename": "text",
  "outputFilterScript": "text"
}

Allgemeiner EP zum Reporte drucken

post
Path parameters
moduleKeystringRequired
masterIdinteger · int64Required
Body
exportFormatstring · enumOptional

output-format für mail/file-export

Possible values:
exportFilenamestringOptional

filename (ohne extension) bei einem file-export

outputTypestringOptional

outputType

groupIdentifierstringOptional

OutputReportGroup Identifier (optional), sonst Default-Group des Moduls

publishedbooleanOptional

sollen nur bereits veröffentlichte Dokumente beachtet werden?

Default: false
Responses
200

OK

application/json
objectOptional
post/cmn/output/modules/{moduleKey}/print/{masterId}
POST /cmn/output/modules/{moduleKey}/print/{masterId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 129

{
  "exportFormat": "PDF",
  "exportFilename": "text",
  "mailRecipients": [],
  "outputType": "text",
  "groupIdentifier": "text",
  "published": false
}
200

OK

{}
get
Responses
200

OK

application/json
refKeystringOptional
eventTypesstring[]Optional
get/cmn/output/subscription
GET /cmn/output/subscription HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]
get
Path parameters
idinteger · int64Required

report identifier

Responses
200

OK

application/json
stringOptional
get/cmn/output/reports/{id}/template-configuration
GET /cmn/output/reports/{id}/template-configuration HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

text
get
Path parameters
idinteger · int64Required

report identifier

Responses
200

OK

application/json
stringOptional
get/cmn/output/reports/{id}/template-configuration-meta
GET /cmn/output/reports/{id}/template-configuration-meta HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

text
get
Path parameters
idinteger · int64Required

report identifier

Responses
200

OK

application/json
idinteger · int64Read-onlyOptional

id der resource im DMS

descriptionstringRead-onlyOptional

Beschreibung

filenamestringRead-onlyOptional

der Dateiname

get/cmn/output/reports/{id}/resource
GET /cmn/output/reports/{id}/resource HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "id": 1,
  "description": "text",
  "filename": "text"
}
get
Path parameters
idinteger · int64Required

report identifier

Responses
200

OK

application/json
stringOptional
get/cmn/output/reports/{id}/parameter
GET /cmn/output/reports/{id}/parameter HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

text
get
Path parameters
aliasstringRequired

report identifier

Responses
200

OK

application/json
idinteger · int64Read-onlyOptional

id der resource im DMS

descriptionstringRead-onlyOptional

Beschreibung

filenamestringRead-onlyOptional

der Dateiname

get/cmn/output/reports/{alias}/by-resource-alias
GET /cmn/output/reports/{alias}/by-resource-alias HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "id": 1,
  "description": "text",
  "filename": "text"
}

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

enginestring · enumRead-onlyOptional

Druck-Techniken

Possible values:
systemPresettingbooleanRead-onlyOptional

Die verwendete Druck-Technik

labelstringRead-onlyOptional

Kurzbezeichnung

get/cmn/output/report-types/{id}
GET /cmn/output/report-types/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "outputTypes": [],
  "engine": "VQL_REPORTS",
  "systemPresetting": true,
  "label": "text"
}
get
Responses
200

OK

application/json
keystringOptional

output module key

labelstringOptional

output module label

domainIdentifierstringRead-onlyOptional

Welcher Domain gehört dieses OutputModul an (wichtig für Platzhalter etc)

canCreateLayoutbooleanRead-onlyOptional

gibt es eine möglichkeit, neue Reports für diesen Druck zu hinterlegen

Default: false
subreportOnlyModulebooleanRead-onlyOptional

unterstützt das Modul nur Subreports, bietet als keine eigene Druck-Implementierung

Default: false
supportOutputFilterScriptbooleanRead-onlyOptional

unterstützt das Modul Output-Filter-Scripte

Default: false
outputFilterScriptModulestringRead-onlyOptional

Script-Modul für Output-Filter scripte

freePrintingbooleanRead-onlyOptional

Ist dieses Modul ein freier Report?

get/cmn/output/modules
GET /cmn/output/modules HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]
get

liefert die Parameter um das Template zu bauen

Path parameters
moduleKeystringRequired
Responses
200

OK

application/json
stringOptional
get/cmn/output/modules/{moduleKey}/template-factory-meta
GET /cmn/output/modules/{moduleKey}/template-factory-meta HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

text
get

liefert die Regel-Struktur des Reports/Ausgabe

Path parameters
moduleKeystringRequired
Responses
200

OK

application/json
stringOptional
get/cmn/output/modules/{moduleKey}/rule-meta
GET /cmn/output/modules/{moduleKey}/rule-meta HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

text
get

liefert die Report-Parameter, die für das Layout gebraucht werden

Path parameters
moduleKeystringRequired
Responses
200

OK

application/json
Other propertiesanyOptional
get/cmn/output/modules/{moduleKey}/parameter-value
GET /cmn/output/modules/{moduleKey}/parameter-value HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
get

liefert die Parameter-Struktur des Reports

Path parameters
moduleKeystringRequired
Responses
200

OK

application/json
stringOptional
get/cmn/output/modules/{moduleKey}/parameter-meta
GET /cmn/output/modules/{moduleKey}/parameter-meta HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

text

Parameter-Meta-Beschreibung der modulspezifischen Zusatz-Optionen

get
Path parameters
moduleKeystringRequired
Responses
200

OK

application/json
stringOptional
get/cmn/output/modules/{moduleKey}/additional-options-meta
GET /cmn/output/modules/{moduleKey}/additional-options-meta HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

text

Last updated

Was this helpful?